Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTreeUI.TreePageAction

    java.lang.Object
      |
      +--javax.swing.AbstractAction
            |
            +--javax.swing.plaf.basic.BasicTreeUI.TreePageAction

All Implemented Interfaces:
  Action, ActionListener, Cloneable, EventListener, Serializable

Enclosing class:
  BasicTreeUI

public class BasicTreeUI.TreePageAction
extends AbstractAction

TreePageAction handles page up and page down events.

Field Summary
`protected int` | `direction` Specifies the direction to adjust the selection by.

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`BasicTreeUI.TreePageAction(int direction, String name)`

Method Summary
`void` | `actionPerformed(ActionEvent e)` Invoked when an action occurs.
`boolean` | `isEnabled()` Returns true if the action is enabled.

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### direction

    protected int direction

  Specifies the direction to adjust the selection by.

Constructor Detail

### BasicTreeUI.TreePageAction

    public BasicTreeUI.TreePageAction(int direction,
                                      String name)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Description copied from interface: `ActionListener`
  Invoked when an action occurs.

### isEnabled

    public boolean isEnabled()

  Description copied from class: `AbstractAction`
  Returns true if the action is enabled.

  Specified by:
    `isEnabled` in interface `Action`
  Overrides:
    `isEnabled` in class `AbstractAction`
  Returns:
    true if the action is enabled, false otherwise
  See Also:
    `Action.isEnabled()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.